/*---------- SHOW Page ----------*/
/* SVG display of papyri */

/* ------------------- */
/* background */
.fv {
  color: black;
  background: repeating-linear-gradient(
    90deg,
    var(--fibres-dark-color),
    var(--fibres-dark-color) 5px,
    var(--fibres-light-color) 5px,
    var(--fibres-light-color) 10px
  );
}
.fh {
  color: black;
  background: repeating-linear-gradient(
    0deg,
    var(--fibres-dark-color),
    var(--fibres-dark-color) 5px,
    var(--fibres-light-color) 5px,
    var(--fibres-light-color) 10px
  );
}
.no-fibres {
  color: black;
  background: #eadecc;
}

/* ------------------- */
/* styling epidoc html */
#edition {
    display: flex; /* display textparts as columns */
}
#text-content h1 {
    display: none; /* hide title */
}
#text-content h2 {
    display: none; /* hide date/provenance */
}
#commentary {
    display: none; /* hide commentary */
}
.textpartnumber {
    display: none; /* hide column nb */
}
.linenumber {
    display: none; /* hide line numbers */
}
/* hide verso (textpart following a span that has 'abv' in its @id. See also TM7769 */
#edition span[id*='abv'] + .textpart {
    display: none; /* causes problems for 219272, since there are columns named abv, abvi, abvii... */
}
#abv + .textpart {
    display: none; /* hide verso */
}
#abv\,ctr + .textpart {
    display: none; /* hide verso, center text */
}
#abv\,m + .textpart {
    display: none; /* hide verso, margin text */
}
#abv\,md + .textpart {
    display: none; /* hide verso, right margin text */
}
#abv\,1 + .textpart {
    display: none; /* hide verso, textpart 1 */
}
#abv\,2 + .textpart {
    display: none; /* hide verso, textpart 2 */
}
#textpart-abv-i + .textpart {
    display: none; /* hide verso, col i, tm 4126 */
}
#textpart-abv-ii + .textpart {
    display: none; /* hide verso, col ii, tm 4126 */
}
#license {
    display: none; /* hide license */
}

/* wrapper elements (e.g. TM 21704) */
.wrapper {
    display: flex;
}

/* ------------------- */
/* text sections */
#text-content {
    /*display: flex;*/ /* prevents SVG from overflowing. not necessary if using js to resize svg */
    font-family: Literata, serif; /* prevent from using sans-serif (bigger) font 
    /*white-space: nowrap;  prevent automatic linebreak. PROBLEM: lines become too long */
    /*line-height: 1.5;*/
}

/* makes line fully highlighted with color (and not only the text) */
#edition span.section {
    display: inline-block; /* causes problem when lb is inside <span> (e.g. if it's a number, cf 28272 line 6) */
}
.abstract {
    background-color: var(--papyrus-abstract-color);
}
.addressee {
    background-color: var(--papyrus-addressee-color);
}
.salutation {
    background-color: var(--papyrus-salutation-color);
}
.heading{
    background-color: var(--papyrus-heading-color);
}
.official-mark{
    background-color: var(--papyrus-mark-color);
}
.introduction {
    background-color: var(--papyrus-intro-color);
}
.main-text {
    background-color: var(--papyrus-main-color);
}
.subscription {
    background-color: var(--papyrus-subscription-color);
}
.date {
    background-color: var(--papyrus-date-color);
}
.descr-contents {
    background-color: var(--papyrus-descr-cont-color);
}
.trans-clause {
    background-color: var(--papyrus-clause-color);
}
.col-no {
    background-color: var(--papyrus-col-color);
}
.signature {
    background-color: var(--papyrus-signature-color);
}
.addition {
    background-color: var(--papyrus-addition-color);
}
/* two sections */
.date.introduction {
    background: linear-gradient(to right, var(--papyrus-date-color), var(--papyrus-intro-color));
}
.date.trans-clause {
     background: linear-gradient(to right, var(--papyrus-date-color), var(--papyrus-clause-color));
}
.descr-contents.trans-clause {
    background: linear-gradient(to right, var(--papyrus-descr-cont-color), var(--papyrus-clause-color));
}
span[class*="introduction main-text"] {
    background: linear-gradient(to right, var(--papyrus-intro-color), var(--papyrus-main-color));
}
span[class*="main-text subscription"] {
    background: linear-gradient(to right, var(--papyrus-main-color), var(--papyrus-subscription-color));
}
.salutation.date {
    background: linear-gradient(to right, var(--papyrus-salutation-color), var(--papyrus-date-color));
}
.salutation.subscription {
    background: linear-gradient(to right, var(--papyrus-salutation-color), var(--papyrus-subscription-color));
}
.heading.introduction {
    background: linear-gradient(to right, var(--papyrus-heading-color), var(--papyrus-intro-color));
}
.heading.main-text {
    background: linear-gradient(to right, var(--papyrus-heading-color), var(--papyrus-main-color));
}
span[class*="heading date"] {
    background: linear-gradient(to right, var(--papyrus-heading-color), var(--papyrus-date-color));
}
span[class*="date heading"] {
    background: linear-gradient(to right, var(--papyrus-date-color), var(--papyrus-heading-color));
}
span[class*="trans-clause main-text"] {
     background: linear-gradient(to right, var(--papyrus-clause-color), var(--papyrus-main-color));
}
span[class*="main-text trans-clause"] {
     background: linear-gradient(to right, var(--papyrus-main-color), var(--papyrus-clause-color));
}
span[class*="descr-contents main-text"] {
    background: linear-gradient(to right, var(--papyrus-descr-cont-color), var(--papyrus-main-color));
}
span[class*="main-text descr-contents"] {
    background: linear-gradient(to right, var(--papyrus-main-color), var(--papyrus-descr-cont-color));
}
span[class*="date introduction"] {
    background: linear-gradient(to right, var(--papyrus-date-color), var(--papyrus-intro-color));
}
span[class*="introduction date"] {
    background: linear-gradient(to right, var(--papyrus-intro-color), var(--papyrus-date-color));
}
span[class*="official-mark introduction"] {
    background: linear-gradient(to right, var(--papyrus-mark-color), var(--papyrus-intro-color));
}
span[class*="descr-contents introduction"] {
    background: linear-gradient(to right, var(--papyrus-descr-cont-color), var(--papyrus-intro-color));
}
span[class*="introduction descr-contents"] {
    background: linear-gradient(to right, var(--papyrus-intro-color), var(--papyrus-descr-cont-color));
}
span[class*="descr-contents date"] {
    background: linear-gradient(to right, var(--papyrus-descr-cont-color), var(--papyrus-date-color));
}
span[class*="date descr-contents"] {
    background: linear-gradient(to right, var(--papyrus-date-color), var(--papyrus-descr-cont-color));
}
span[class*="date addressee"] {
    background: linear-gradient(to right, var(--papyrus-date-color), var(--papyrus-addressee-color));
}
span[class*="date main-text"] {
    background: linear-gradient(to right, var(--papyrus-date-color), var(--papyrus-main-color));
}
span[class*="main-text date"] {
    background: linear-gradient(to right, var(--papyrus-main-color), var(--papyrus-date-color));
}
span[class*="date subscription"] {
    background: linear-gradient(to right, var(--papyrus-date-color), var(--papyrus-subscription-color));
}
span[class*="subscription date"] {
    background: linear-gradient(to right, var(--papyrus-subscription-color), var(--papyrus-date-color));
}
span[class*="date heading"] {
    background: linear-gradient(to right, var(--papyrus-date-color), var(--papyrus-heading-color));
}
span[class*="main-text salutation"] {
    background: linear-gradient(to right, var(--papyrus-main-color), var(--papyrus-salutation-color));
}
span[class*="addition date"] {
    background: linear-gradient(to right, var(--papyrus-addition-color), var(--papyrus-date-color));
}
span[class*="date addition"] {
    background: linear-gradient(to right, var(--papyrus-date-color), var(--papyrus-addition-color));
}
span[class*="main-text addition"] {
    background: linear-gradient(to right, var(--papyrus-main-color), var(--papyrus-addition-color));
}
span[class*="addition main-text"] {
    background: linear-gradient(to right, var(--papyrus-addition-color), var(--papyrus-main-color));
}
span[class*="subscription addition"] {
    background: linear-gradient(to right, var(--papyrus-subscription-color), var(--papyrus-addition-color));
}
span[class*="addition subscription"] {
    background: linear-gradient(to right, var(--papyrus-addition-color), var(--papyrus-subscription-color));
}
span[class*="addition descr-content"] {
    background: linear-gradient(to right, var(--papyrus-addition-color), var(--papyrus-descr-cont-color));
}
span[class*="descr-content addition"] {
    background: linear-gradient(to right, var(--papyrus-descr-cont-color), var(--papyrus-addition-color));
}
span[class*="introduction addition"] {
    background: linear-gradient(to right, var(--papyrus-intro-color), var(--papyrus-addition-color));
}
span[class*="addition introduction"] {
    background: linear-gradient(to right, var(--papyrus-addition-color), var(--papyrus-intro-color));
}

/* three sections */
span[class*="main-text salutation date"] {
    background: linear-gradient(to right, var(--papyrus-main-color), var(--papyrus-salutation-color), var(--papyrus-date-color));
}
span[class*="main-text addition date"] {
    background: linear-gradient(to right, var(--papyrus-main-color), var(--papyrus-addition-color), var(--papyrus-date-color));
}
span[class*="main-text subscription date"] {
    background: linear-gradient(to right, var(--papyrus-main-color), var(--papyrus-subscription-color), var(--papyrus-date-color));
}
span[class*="heading date introduction"] {
    background: linear-gradient(to right, var(--papyrus-heading-color), var(--papyrus-date-color), var(--papyrus-intro-color)) !important;
}
span[class*="descr-contents trans-clause main-text"] {
    background: linear-gradient(to right, var(--papyrus-descr-cont-color), var(--papyrus-clause-color), var(--papyrus-main-color)) !important;
}
span[class*="introduction addition main-text"] {
    background: linear-gradient(to right, var(--papyrus-intro-color), var(--papyrus-addition-color), var(--papyrus-main-color)) !important;
}

/* subscription inside date (TM 15112)? does not seem possible in css */

/* TODO: special case - date embedded in subscription (TM14355)? */
/* vacat */
#edition br.vacat + span {
    display: none; /* hide text and line color background */
}

